package mapper

import (
	"jaecoo-be/app/database/entity"
	res "jaecoo-be/app/module/provinces/response"
)

func ProvincesResponseMapper(provincesReq *entity.Provinces) (provincesRes *res.ProvincesResponse) {
	if provincesReq != nil {
		provincesRes = &res.ProvincesResponse{
			ID:         provincesReq.ID,
			ProvName:   provincesReq.ProvName,
			LocationId: provincesReq.LocationId,
			Status:     provincesReq.Status,
			Timezone:   provincesReq.Timezone,
		}
	}
	return provincesRes
}
